###################################################
### chunk number 1: 
###################################################
library(trio)
data(trio.data)
str(trio.ped1)
trio.ped1[1:10,1:12]


###################################################
### chunk number 2: 
###################################################
data(trio.data)
trio.ped1[,2] <- paste(trio.ped1[,1], trio.ped1[,2], sep="_")
ids <- trio.ped1[,3] != 0
trio.ped1[ids,3] <- paste(trio.ped1[ids,1], trio.ped1[ids,3], sep="_")
trio.ped1[ids,4] <- paste(trio.ped1[ids,1], trio.ped1[ids,4], sep="_")
trio.ped1[1:5, 1:4]


###################################################
### chunk number 3: 
###################################################
geno <- ped2geno(trio.ped1)
geno[1:5,]


###################################################
### chunk number 4: 
###################################################
data(trio.data)
trio.gen1[1:5, 3:12]
table(trio.gen1[,3:12] == geno)


###################################################
### chunk number 5: 
###################################################
data(trio.data)
tdt(mat.test[,1])


###################################################
### chunk number 6: 
###################################################
tdt(mat.test[,1], model="dominant")


###################################################
### chunk number 7: 
###################################################
tdt(mat.test[,1], model="recessive")


###################################################
### chunk number 8: 
###################################################
tdt2way(mat.test[,1], mat.test[,2])


###################################################
### chunk number 9: 
###################################################
tdt2way(mat.test[,1], mat.test[,2], epistatic=FALSE)


###################################################
### chunk number 10: 
###################################################
tdt.out <- colTDT(mat.test)
tdt.out


###################################################
### chunk number 11: 
###################################################
print(tdt.out, 3)


###################################################
### chunk number 12: 
###################################################
print(tdt.out, 10)


###################################################
### chunk number 13: 
###################################################
max.stat <- colTDTmaxStat(mat.test)
max.stat


###################################################
### chunk number 14: 
###################################################
max.out <- colTDTmaxTest(mat.test, perm=1000)


###################################################
### chunk number 15: 
###################################################
max.out


###################################################
### chunk number 16: 
###################################################
genes <- paste("G", rep(1:2, c(2,4)), sep="")
genes


###################################################
### chunk number 17: 
###################################################
tdt2.out <- colTDT2way(mat.test, genes=genes)
tdt2.out


###################################################
### chunk number 18: 
###################################################
print(tdt2.out, 8)


###################################################
### chunk number 19: 
###################################################
sex <- rep(0:1, e=50)


###################################################
### chunk number 20: 
###################################################
gxe.out <- colGxE(mat.test, sex)
gxe.out


###################################################
### chunk number 21: 
###################################################
print(gxe.out, onlyGxE=TRUE)


###################################################
### chunk number 22: 
###################################################
data(trio.data)
trio.tmp <- trio.check(dat=trio.ped1)
str(trio.tmp, max=1)
trio.tmp$trio[1:6,]


###################################################
### chunk number 23: 
###################################################
trio.bin <- trio(trio.dat=trio.tmp, blocks=c(1,4,2,3))
str(trio.bin, max=1)

trio.bin$bin[1:8,]


###################################################
### chunk number 24: 
###################################################
data(trio.data)
str(trio.gen1)
trio.gen1[1:10,1:12]
trio.tmp <- trio.check(dat=trio.gen1, is.linkage=F)
trio.bin <- trio(trio.dat=trio.tmp, blocks=c(1,4,2,3))


###################################################
### chunk number 25: 
###################################################
data(trio.data)
str(trio.ped2)

trio.tmp <- trio.check(dat=trio.ped2)
trio.tmp$trio[1:6,]


###################################################
### chunk number 26: 
###################################################
trio.bin <- trio(trio.dat=trio.tmp, blocks=c(1,4,2,3))
trio.bin$bin[1:8,]


###################################################
### chunk number 27: 
###################################################
data(trio.data)
str(trio.gen2)
trio.tmp <- trio.check(dat=trio.gen2, is.linkage=FALSE)
trio.bin <- trio(trio.dat=trio.tmp, blocks=c(1,4,2,3))
trio.bin$bin[1:8,]


###################################################
### chunk number 28: 
###################################################
data(trio.data)
trio.tmp <- trio.check(dat=trio.gen2, is.linkage=FALSE)
trio.imp <- trio(trio.dat=trio.tmp, blocks=c(1,4,2,3), logic=FALSE)
str(trio.imp, max=1)
trio.imp$miss[c(1:6),]
print(trio.gen2[1:6,])
print(trio.imp$trio[1:6,])


###################################################
### chunk number 29: 
###################################################
data(trio.data)
trio.tmp <- trio.check(dat=trio.ped2)
trio.imp <- trio(trio.dat=trio.tmp, blocks=c(1,4,2,3), logic=FALSE)


###################################################
### chunk number 30: 
###################################################
data(trio.data)
trio.tmp <- trio.check(dat=trio.ped.err)
str(trio.tmp, max=1)
trio.tmp$errors


###################################################
### chunk number 31: 
###################################################
trio.tmp$trio.err[1:3, c(1,2, 11:12)]
trio.ped.err[1:3,c(1:2, 23:26)]


###################################################
### chunk number 32: 
###################################################
trio.rep <- trio.check(dat=trio.ped.err, replace=TRUE)
str(trio.rep, max=1)
trio.rep$trio[1:3,11:12]


###################################################
### chunk number 33: 
###################################################
data(trio.data)
trio.tmp <- trio.check(dat=trio.gen.err, is.linkage=FALSE)
trio.tmp$errors
trio.tmp$trio.err[1:6, c(1,2,7), drop=F]
trio.rep <- trio.check(dat=trio.gen.err, is.linkage=FALSE, replace=TRUE)
trio.rep$trio[1:6,c(1,2,7)]


###################################################
### chunk number 34: 
###################################################
data(trio.data)
str(freq.hap)
freq.hap[1:6,]


###################################################
### chunk number 35: 
###################################################
data(trio.data)
trio.tmp <- trio.check(dat=trio.gen2, is.linkage=FALSE)
trio.imp <- trio(trio.dat=trio.tmp, freq=freq.hap, logic=FALSE)
str(trio.imp, max=1)
print(trio.gen2[1:6,])
print(trio.imp$trio[1:6,])


###################################################
### chunk number 36: 
###################################################
data(trio.data)
ld.out <- getLD(LDdata, asMatrix=TRUE)


###################################################
### chunk number 37: 
###################################################
round(ld.out$Dprime[1:10,1:10], 2)


###################################################
### chunk number 38: 
###################################################
round(ld.out$rSquare[1:10,1:10], 2)


###################################################
### chunk number 39: 
###################################################
blocks <- findLDblocks(LDdata)
blocks


###################################################
### chunk number 40: 
###################################################
ld.out2 <- getLD(LDdata, addVarN=TRUE)
blocks2 <- findLDblocks(ld.out2)
blocks2


###################################################
### chunk number 41: 
###################################################
hap <- as.vector(table(blocks$blocks))
hap


###################################################
### chunk number 42: 
###################################################
data(trio.data)
str(simuBkMap)
simuBkMap[1:7,]
sim <- trio.sim(freq=simuBkMap, interaction="1R and 5R", prev=.001, OR=2, 
n=20, rep=1)
str(sim)
sim[[1]][1:6, 1:12]


###################################################
### chunk number 43: 
###################################################
data(trio.data)
trio.tmp <- trio.check(dat=trio.gen1, is.linkage=FALSE)
trio.impu <- trio(trio.dat=trio.tmp, blocks=c(1,4,2,3), logic=TRUE)

str(trio.impu, max=2)
trio.impu$freq[1:7,]
sim <- trio.sim(freq=trio.impu$freq, interaction="1R and 5R", prev=.001, OR=2, 
n=20, rep=1)

str(sim)
sim[[1]][1:6, ]


###################################################
### chunk number 44: 
###################################################
data(trio.data)

sim <- trio.sim(freq=freq.hap, interaction="1R or 4D", prev=.001, OR=2, 
n=10, rep=2)
str(sim)
sim[[1]][1:6,]


###################################################
### chunk number 45: 
###################################################
data(trio.data)

sim <- trio.sim(freq=freq.hap, interaction="1R or (6R and 10D)", prev=.001, 
OR=2, n=10, rep=1)
str(sim)
sim[[1]][1:6,]


###################################################
### chunk number 46: 
###################################################
sim <- trio.sim(freq=freq.hap, interaction="1R or (6R and 10D)", prev=.001, 
OR=3, n=10, rep=1, step.save="step3way")
str(sim, max=1)
sim[[1]][1:6,]


